Dokumentation

BECKHOFF AUTOMATION Knowledge Base

Inledning

I Twincat används två varianter av remanenta variabler(Retain och Persistent), Den totala storleken av Retain och Persistent-variabler är 4080 byte. Storleken på dessa data-areor kan ändras på två sätt:

· med mjukvaran KS2000 eller från

· från programmet via ett ADS-kommando.

Retain-variabler

Nollställs varje gång ett nytt PLC-program laddas ner samt vid reset av program

Persistent-variabler

Kan endast nollställas genom att i Twincat BC välja menyn Online->Reset All

BECKHOFF AUTOMATION Knowledge Base

Inställning av Storlek på remanenta variabler

Det totala antalet byte för remanenta variabler d.v.s Retain+Persistent ställs in enligt nedan, Standardvärde är 64 byte.

· Öppna KS2000

· Anslut till BC med menyvalet Online->Login alternativt med Login-knappen i verktygsfältet

· Dubbelklicka på Link Terminals (controller) i trädstrukturen.

· I den dialogruta som kommen upp, ändra storleken till önskat värde, Klicka därefter på Ok.

· Starta om BC:n

Bild från KS2000

Ändra storlek på Persistent-area

· Anslut till PLC:et med KS2000 enligt föregående sida.

· Ta bort skrivskyddet, med menyalternativet Online->Coupler->Services.

· I den dialogruta som kommer upp, klicka på Abolish Write Protection.

· När texten Write Protection Abolished! kommer upp, klicka på Ok.

· Expandera Table i trädstrukturen

· Dubbelklicka på tabell 1 (1 Configuration Coupler)

· Bläddra fram till register 18 och ställ in önskat värde hexadecimalt. Värdet 0x0020=32 byte persistent data.

· Logga ut och starta därefter om BC:n

Storlek på Retain-area

Storleken på Retain-arean = Total storlek –Storlek på persistent area


BECKHOFF AUTOMATION Knowledge Base

Ändra datastorlek för retain/persistent variabler från KS2000

Detta dokument beskriver hur man skall gå till väga för att m.h.a. mjukvaran KS2000 ändra storlek på de remanenta och persistenta variablerna.

Inställning av Storlek på remanenta variabler

Det totala antalet byte för remanenta variabler d.v.s Retain+Persistent ställs in enligt nedan, Standardvärde är 64 byte.

· Öppna KS2000

· Anslut till BC med menyvalet Online->Login alternativt med Login-knappen i verktygsfältet

· Dubbelklicka på Link Terminals (controller) i trädstrukturen.

· I den dialogruta som kommen upp, ändra storleken till önskat värde, Klicka därefter på Ok.

· Starta om BC:n

Bild från KS2000

Ändra storlek på Persistent-area

· Anslut till PLC:et med KS2000 enligt föregående sida.

· Ta bort skrivskyddet, med menyalternativet Online->Coupler->Services.

· I den dialogruta som kommer upp, klicka på Abolish Write Protection.

· När texten Write Protection Abolished! kommer upp, klicka på Ok.

· Expandera Table i trädstrukturen

· Dubbelklicka på tabell 1 (1 Configuration Coupler)

· Bläddra fram till register 18 och ställ in önskat värde hexadecimalt. Värdet 0x0020=32 byte persistent data.

· Logga ut och starta därefter om BC:n

Storlek på Retain-area

Storleken på Retain-arean = Total storlek –Storlek på persistent area


BECKHOFF AUTOMATION Knowledge Base

Ändra register I BC från program

Under bearbetning


BECKHOFF AUTOMATION Knowledge Base

Användning i PLC-program

Persistent och Retain-variablerna hamnar först i %M-minnesarean.

Persistent ligger allra först. Som det är konfigurerat tidigare i detta dokument så används 32 byte för Persistent data och 64-32=32 byte för Retain data.

· Persistent-data ligger då på adressen %MB0-%MB31

· Retain-data ligger på adressen %MB32-%MB64

Exempel på deklarering i PLC-Program.